OSPAM(1)

NOM
ospam - Un éditeur de flux de balisage SGML/XML

SYNOPSIS

ospam [-CeghilprRvx] [-atype_lien] [-Aarchitecture] [-bbctf] [-cfichier_catalogue] [-Drépertoire] [-ffichier] [-moption_balisage] [-onom_entité] [-wtype_avertissement] [sysid...]

DESCRIPTION

ospam (OpenSP Add Markup) est un éditeur de flux de balisage SGML implémenté en utilisant l'analyseur syntaxique OpenSP. ospam analyse le document SGML contenu dans sysid et copie sur la sortie standard la portion de l'entité document contenant l'instance de document, ajoutant ou modifiant le balisage comme spécifié par les options -m. L'option -p peut être utilisée pour inclure la déclaration SGML et le prologue dans la sortie. L'option -o peut être utilisée pour produire en sortie d'autres entités. L'option -x peut être utilisée pour développer les appels d'entités.

Partie d'un système SGML conforme à la norme internationale ISO 8879 -- Standard Generalized Markup Language (Langage de balisage généralisé normalisé) Un système SGML étendu conforme à l'annexe A de la norme internationale ISO/IEC 10744 -- Hypermedia/Time-based Structuring Language (Langage de structuration hypermédia/événementiel)

Les options suivantes sont disponibles :

-anom, --activate=nom
    Active le type de document ou de lien nom.

-Aarchitecture, --architecture=architecture
    Analyse par rapport à l'architecture architecture.

-bbctf, --bctf=bctf
    Utilise le BCTF bctf pour produire la sortie.

-csysid, --catalog=sysid
    Utilise le fichier d'entrées de catalogue sysid.

-C, --catalogs
    Elle a le même effet qu'avec onsgmls(1).

-Drépertoire, --directory=répertoire
    Recherche dans répertoire les fichiers spécifiés dans les identificateurs système. Elle a le même effet qu'avec onsgmls(1).

-e, --open-entities
    Décrit les entités ouvertes dans les messages d'erreur.

-Eerreurs_max, --max-errors=erreurs_max
    Quitte après erreurs_max erreurs.

-fnom_fichier, --error-file=nom_fichier
    Redirige les erreurs dans nom_fichier. C'est pratique surtout avec les shells qui ne gèrent pas la redirection de la sortie d'erreur standard « stderr ».

-h, --hoist-omitted-tags
    Restitue les balises omises du début des entités internes. Si le texte au début d'une entité interne rend une balise implicite, celle-ci devrait être traitée comme faisant partie de l'entité interne : avec cette option, elle sera au contraire traitée comme faisant partie de l'entité qui appelait l'entité interne. Cette option se comporte différemment avec les options -momittag ou -x -x.

--help
    Affiche un texte d'aide et quitte.

-inom, --include=nom
    Elle a le même effet qu'avec onsgmls(1).

-l, --lowercase
    Préférer les minuscules. Les noms ajoutés qui étaient soumis à une substitution en majuscules seront convertis en minuscules.

-moption_balisage, --markup-option=option_balisage
    Modifier le balisage dans la sortie selon la valeur de option_balisage comme suit :

    omittag Ajoute les balises qui ont été omises en utilisant la minimisation par omission de balisage. Les balises fermantes qui ont été omises parce que l'élément a un contenu déclaré de valeur « EMPTY » ou une référence de contenu explicite ne seront pas ajoutées.

    shortref Remplace les appels abrégés par des appels d'entités nommées.

    net Modifie les balises fermantes nulles en balises fermantes non minimisées, et modifie les balises ouvrantes autorisant les balises fermantes nulles en balises ouvrantes non minimisées.

    emptytag Modifie les balises vides en balises non minimisées.

    unclosed Modifie les balises non fermées en balises non minimisées.

    attname Ajoute les noms d'attribut et les indicateurs de valeur omis.

    attvalue Ajoute les délimiteurs littéraux omis des valeurs d'attribut.

    attspec Ajoute les spécifications d'attribut omises.

    current Ajoute les spécifications d'attribut omises pour les attributs courants. Cette option est impliquée par l'option « attspec ».

    shorttag Équivalente à la combinaison des options « net », « emptytag », « unclosed », « attname », « attvalue » et « attspec ».

    rank Ajoute les suffixes de niveau omis.

    reserved Met les noms réservés en majuscules.

    ms Retire les déclarations de sections marquées dont le statut effectif est « IGNORE », et remplace chaque déclaration de sections marquées dont le statut effectif est « INCLUDE » par sa section marquée. Dans l'instance de document, des commentaires vides seront ajoutés avant ou après la déclaration de la section marquée pour s'assurer que les fins d'enregistrements ignorées (NdT : Record Ends) restent ignorées.

    Plusieurs options -m sont autorisées.

-n, --error-numbers
    Affiche les numéros d'erreur dans les messages d'erreur.

-onom_entité, --output-entity=nom_entité
    Produit en sortie le nom de l'entité générale plutôt que l'entité document. La sortie correspondra à la première fois que l'entité est appelée dans le contenu.

-p, --output-prolog
    Produit en sortie la partie de l'entité document contenant la déclaration SGML (si celle-ci est explicitement présente dans l'entité document) et le prologue avant toute autre chose. Si cette option est spécifiée deux fois ou plus, alors tous les appels d'entités apparaissant entre les déclarations dans le prologue seront développées ; ceci inclut l'appel implicite à l'entité contenant le sous-ensemble externe de la DTD, s'il y en a un. Notez que la déclaration SGML ne sera pas incluse si elle a été spécifiée par une entrée « SGMLDECL » dans un catalogue.

-r, --raw
    N'opère aucune conversion sur les « RSs » (NdT : Record Start) et les « REs » (NdT : Record End) lors de la production en sortie de l'entité. L'entité devrait typiquement avoir l'attribut de gestionnaire de stockage « records=asis ».

-R, --restricted
    Elle a le même effet qu'avec onsgmls(1).

-v, --version
    Affiche le numéro de version.

-wtype_avertissement, --warning=type_avertissement
    Contrôle les avertissements et les erreurs en fonction de type_avertissement. Elle a le même effet qu'avec onsgmls(1).

-x, --expand-references
    Développe les appels à des entités qui sont modifiées. Si cette option est spécifiée deux fois ou plus, tous les appels aux entités qui contiennent des balises seront développés.

BOGUES

Les balises omises sont ajoutées à l'endroit où elles sont impliquées par l'analyseur SGML (excepté celles modifiées par l'option -h) ; ce n'est pas souvent vraiment où elles sont voulues.

Le cas des délimiteurs généraux n'est pas préservé.

Des résultats incorrects peuvent être produits si on utilise une syntaxe concrête variante comportant des délimiteurs dans le balisage à ajouter qui ont un préfixe semblable à un suffixe propre à un autre délimiteur.

Si un appel d'entité dans une valeur par défaut utilise l'entité par défaut, qu'une entité avec ce nom est définie postérieurement, et que cette valeur par défaut est ajoutée à l'instance de document, alors le document résultant peut ne pas être équivalent au document original. ospam produira un avertissement lorsque les deux premières conditions seront réunies.

VOIR AUSSI
onsgmls(1), ospent(1), onsgmlnorm(1), osx(1)

TRADUCTION

Ce document est une traduction réalisée par Alain Portal <aportal AT univ-montp2 DOT fr> et Jean-Marc Destabeaux <jmdestabeaux AT free DOT fr> le 16 juin 2004 et révisée le 19 novembre 2007.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 1 ospam ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.